clear all
close all
clc
load gun44.dat
load gun45.dat
load gun46.dat
load gun47.dat
gun45(:,2)=gun45(:,2)+20;
gun46(:,1)=gun46(:,1)+20;
gun47(:,1)=gun47(:,1)+20;
gun47(:,2)=gun47(:,2)+20;

save qq45.dat gun45 -ASCII

N=[gun44;gun45;gun46;gun47];
save Gun4_dc.dat N -ASCII

min(N(:,3)), max(N(:,3))
%%
close all
figure
a1=gun44;
x=a1(:,1); y=a1(:,2); d=a1(:,3);
xx=unique(x);
yy=unique(y);
dd=reshape(d,length(xx),length(yy));
contourf(xx,yy,dd',512,'LineStyle','none')
colormap(jet(1024))
axis image
hold on
a3=gun45;
x=a3(:,1); y=a3(:,2); d=a3(:,3);
xx=unique(x);
yy=unique(y);
dd=reshape(d,length(xx),length(yy));
contourf(xx,yy,dd',512,'LineStyle','none')
colormap(jet(1024))
axis image
hold on
a2=gun46;
x=a2(:,1); y=a2(:,2); d=a2(:,3);
xx=unique(x);
yy=unique(y);
dd=reshape(d,length(xx),length(yy));
contourf(xx,yy,dd',512,'LineStyle','none')
colormap(jet(1024))
axis image
hold on
a4=gun47;
x=a4(:,1); y=a4(:,2); d=a4(:,3);
xx=unique(x);
yy=unique(y);
dd=reshape(d,length(xx),length(yy));
contourf(xx,yy,dd',512,'LineStyle','none')
colormap(jet(1024))
axis image
colorbar
xlabel('x(m)'),ylabel('y(m)')
caxis([-30 30])